com.microfocus.awm.core.internal

## Class TaurusProjectNature

- java.lang.Object
- - com.microfocus.awm.core.internal.TaurusProjectNature

- All Implemented Interfaces:
    org.eclipse.core.resources.IProjectNature

      public class TaurusProjectNature
      extends java.lang.Object
      implements org.eclipse.core.resources.IProjectNature

  Project nature for the internal AWM project.
  Author:
    Ralf Pakosch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAURUS_NATURE_ID` Nature ID of the internal project.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusProjectNature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure()`
    `void` | `deconfigure()`
    `org.eclipse.core.resources.IProject` | `getProject()`
    `void` | `setProject(org.eclipse.core.resources.IProject project)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAURUS_NATURE_ID

          public static final java.lang.String TAURUS_NATURE_ID

      Nature ID of the internal project.
      See Also:
        `TaurusConstants.TAURUS_NATURE_ID`, Constant Field Values

  - ### Constructor Detail

    - #### TaurusProjectNature

          public TaurusProjectNature()

  - ### Method Detail

    - #### configure

          public void configure()
                         throws org.eclipse.core.runtime.CoreException

      Specified by:
        `configure` in interface `org.eclipse.core.resources.IProjectNature`
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### deconfigure

          public void deconfigure()
                           throws org.eclipse.core.runtime.CoreException

      Specified by:
        `deconfigure` in interface `org.eclipse.core.resources.IProjectNature`
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### getProject

          public org.eclipse.core.resources.IProject getProject()

      Specified by:
        `getProject` in interface `org.eclipse.core.resources.IProjectNature`

    - #### setProject

          public void setProject(org.eclipse.core.resources.IProject project)

      Specified by:
        `setProject` in interface `org.eclipse.core.resources.IProjectNature`

Copyright © 2015 Micro Focus GmbH. All rights reserved.